VCONSOLE.CONF(5)

NAME
vconsole.conf - Configuration file for the virtual console

SYNOPSIS

/etc/vconsole.conf

DESCRIPTION

The /etc/vconsole.conf file configures the virtual console, i.e. keyboard mapping and console font. It is applied at boot by systemd-vconsole-setup.service(8).

The basic file format of the vconsole.conf is a newline-separated list of environment-like shell-compatible variable assignments. It is possible to source the configuration from shell scripts, however, beyond mere variable assignments no shell features are supported, allowing applications to read the file without implementing a shell compatible execution engine.

Note that the kernel command line options vconsole.keymap=, vconsole.keymap.toggle=, vconsole.font=, vconsole.font.map=, vconsole.font.unimap= may be used to override the console settings at boot.

Depending on the operating system other configuration files might be checked for configuration of the virtual console as well, however only as fallback.

OPTIONS

The following options are understood:

KEYMAP=, KEYMAP_TOGGLE=
    Configures the key mapping table for the keyboard. KEYMAP= defaults to "us" if not set. The KEYMAP_TOGGLE= can be used to configure a second toggle keymap and is by default unset.

FONT=, FONT_MAP=, FONT_UNIMAP=
    Configures the console font, the console map and the unicode font map.

EXAMPLE

Example 1. German keyboard and console

/etc/vconsole.conf:

    KEYMAP=de-latin1
    FONT=eurlatgr

SEE ALSO

systemd(1), systemd-vconsole-setup.service(8), loadkeys(1), setfont(8), locale.conf(5), systemd-localed.service(8)